## 1.95. storenode( integer, text, boolean )

Function Properties
Language: PLPGSQL
Return Type: bigint

no_id - Node ID # no_comment - Human-oriented comment no_spool - Flag for virtual spool nodes Generate the STORE_NODE event for node no_id

    declare
    	p_no_id			alias for $1;
    	p_no_comment	alias for $2;
    	p_no_spool		alias for $3;
    	v_no_spool_txt	text;
    begin
    	if p_no_spool then
    		v_no_spool_txt = 't';
    	else
    		v_no_spool_txt = 'f';
    	end if;
    	perform storeNode_int (p_no_id, p_no_comment, p_no_spool);
    	return  createEvent('_schemadoc', 'STORE_NODE',
    									p_no_id, p_no_comment, v_no_spool_txt);
    end;